> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP Asset License

> Get the licenses of an IP Asset

The ipassetId parameter should be the Story Protocol asset ID (not the Crossmint ID). Must start with '0x' followed by hexadecimal characters.

**API scope required**: `nfts.read`

<Warning>This API is still under development. Contact support for early access.</Warning>{" "}


## OpenAPI

````yaml get /v1/ip/licenses/{ipassetId}
openapi: 3.0.0
info:
  title: Crossmint Story API
  description: Crossmint Story API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
security: []
tags: []
paths:
  /v1/ip/licenses/{ipassetId}:
    get:
      tags:
        - IP Story Protocol
      summary: Get IP Asset Licenses
      description: >-
        Get the licenses of an IP Asset


        The ipassetId parameter should be the Story Protocol asset ID (not the
        Crossmint ID). Must start with '0x' followed by hexadecimal characters.


        **API scope required**: `nfts.read`
      operationId: StoryApiController-getIpaLicenses-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: ipassetId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: IP Asset License found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SchemaHolderClass'
components:
  schemas:
    SchemaHolderClass:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: The License Terms ID
            example: '1'
          terms:
            type: object
            properties:
              transferable:
                type: boolean
                description: >-
                  If false, the License Token cannot be transferred once it is
                  minted to a recipient address
              royaltyPolicy:
                description: The address of the royalty policy contract
                type: string
              defaultMintingFee:
                type: number
                description: The fee to be paid when minting a license
              expiration:
                type: number
                description: The expiration period of the license
              commercialUse:
                type: boolean
                description: >-
                  Determines if the licensee can make money from using the
                  original IP Asset
              commercialAttribution:
                type: boolean
                description: >-
                  If true, people must give credit to the original work in their
                  commercial application
              commercializerChecker:
                description: >-
                  Commercializers that are allowed to commercially exploit the
                  original work. If zero address, then no restrictions are
                  enforced.
                type: string
              commercializerCheckerData:
                description: The data to be passed to the commercializer checker contract.
                type: string
              commercialRevShare:
                type: number
                minimum: 0
                maximum: 100000000
                description: >-
                  Amount of revenue (from any source, original & derivative)
                  that must be shared with the licensor (a value of 10,000,000
                  == 10% of revenue share).
              commercialRevCeiling:
                type: number
                description: >-
                  Maximum revenue that can be earned from the original work if
                  commercialUse is true
              derivativesAllowed:
                type: boolean
                description: >-
                  Indicates whether the licensee can create derivatives of the
                  work
              derivativesAttribution:
                type: boolean
                description: If true, derivatives must give credit to the original work
              derivativesApproval:
                type: boolean
                description: If true, the licensor must approve derivatives of the work
              derivativesReciprocal:
                type: boolean
                description: If true, derivatives must have the exact same terms
              derivativeRevCeiling:
                type: number
                description: >-
                  Maximum revenue that can be earned from derivative works if
                  commercialUse is true
              currency:
                description: The ERC20 token address to be used to pay the minting fee
                type: string
              uri:
                type: string
                description: >-
                  URI containing additional license terms, will be overridden by
                  the license terms in the metadata
            required:
              - transferable
              - royaltyPolicy
              - defaultMintingFee
              - expiration
              - commercialUse
              - commercialAttribution
              - commercializerChecker
              - commercializerCheckerData
              - commercialRevShare
              - commercialRevCeiling
              - derivativesAllowed
              - derivativesAttribution
              - derivativesApproval
              - derivativesReciprocal
              - derivativeRevCeiling
              - currency
              - uri
            description: The PIL terms details as per retrieved from story
            example:
              transferable: true
              royaltyPolicy: '0x1234567890123456789012345678901234567890'
              defaultMintingFee: 100
              expiration: 0
              commercialUse: true
              commercialAttribution: true
              commercializerChecker: '0x0000000000000000000000000000000000000000'
              commercializerCheckerData: '0x0000000000000000000000000000000000000000'
              commercialRevShare: 10000000
              commercialRevCeiling: 0
              derivativesAllowed: true
              derivativesAttribution: true
              derivativesApproval: false
              derivativesReciprocal: true
              derivativeRevCeiling: 0
              currency: '0x1234567890123456789012345678901234567890'
              uri: Will contain a reference to the license terms metadata
          disabled:
            default: false
            type: boolean
            description: >-
              If true, the license terms will be disabled. Effectively
              preventing future mints with this license.
            example: false
        required:
          - id
          - terms
        description: Response schema for PIL terms
        example:
          id: '155'
          terms:
            transferable: true
            royaltyPolicy: '0x1234567890123456789012345678901234567890'
            defaultMintingFee: 100
            expiration: 0
            commercialUse: true
            commercialAttribution: true
            commercializerChecker: '0x0000000000000000000000000000000000000000'
            commercializerCheckerData: '0x0000000000000000000000000000000000000000'
            commercialRevShare: 10000000
            commercialRevCeiling: 0
            derivativesAllowed: true
            derivativesAttribution: true
            derivativesApproval: false
            derivativesReciprocal: true
            derivativeRevCeiling: 0
            currency: '0x1234567890123456789012345678901234567890'
            uri: Will contain a reference to the license terms metadata
          disabled: false
      description: >-
        Specific terms for a Story Protocol PIL (Programmable IP License).
        Default is the `Non-Commercial Social Remixing` license. More details
        here: https://docs.story.foundation/docs/pil-terms
      example:
        - id: '155'
          terms:
            transferable: true
            royaltyPolicy: '0x1234567890123456789012345678901234567890'
            defaultMintingFee: 100
            expiration: 0
            commercialUse: true
            commercialAttribution: true
            commercializerChecker: '0x0000000000000000000000000000000000000000'
            commercializerCheckerData: '0x0000000000000000000000000000000000000000'
            commercialRevShare: 10000000
            commercialRevCeiling: 0
            derivativesAllowed: true
            derivativesAttribution: true
            derivativesApproval: false
            derivativesReciprocal: true
            derivativeRevCeiling: 0
            currency: '0x1234567890123456789012345678901234567890'
            uri: Will contain a reference to the license terms metadata
          disabled: false

````